/* ftpsite.h
    Definitions for ftpsite.c.
    Copyright (C) 1999 Eric Gillespie, Jr.

    This file is part of dpsftplib.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2,  as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef ftpsite_h
#define ftpsite_h

#include <pthread.h>

struct ftpsite {
	gchar *hostname;
	gint port;
	gchar *login;
	gchar *pass;
	FILE *cout;
	FILE *cin;
	gint dataport;
	FILE *data;
	ftpLogCallback logfunc;
	gpointer command;	/* passed to logfunc for commands */
	gpointer reply;		/* passed to logfunc for replies */
	gpointer logdata;	/* always passed to logfunc */
	gchar *replybuffer;	/* stores the replies */
	gboolean connected;
	ftpTransfer *transfer;
	gint type;              /* current transfer type */
	GList *dirlist;         /* contains the ftpDirectorys */
	GList *filelist;
	gchar *pwd;
	pthread_mutex_t mutex;
};

#endif
