/* queue.h
    Definitions for queue.c.
    Copyright (C) 1999 Eric Gillespie, Jr.

    This file is part of dpsftplib.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2,  as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef queue_h
#define queue_h

struct ftpqueueitem {
	ftpSite *site;
	ftpFile *remotefile;
	ftpFile *localfile;
	guint32 resume;
	gint direction;
};

struct ftpqueuedata {
	ftpQueueItem *item;	/* the queue item being transferred */
	guint32 size;		/* size of file to be transferred */
	guint32 transferred;	/* number of bytes transferred so far */
	ftpQueueStatus status;	/* see ftpQueueDataGetStatus in dpsftplib.h */
};

extern gboolean ftpQueueInit(void);
extern gboolean ftpQueueShutdown(void);

#endif
